#define EXPORT extern "C" __declspec(dllexport)

#ifndef _def_IJG_PLG
struct IJG_PLG{
	char pname[31];
	unsigned _int16 pnamber;
	char author[31];
	float ver; 
	float platform;
	_int8 level; 
	_int8 mode; 
	unsigned _int16 extdllid; 
	_int8 job1st; 
	_int8 job2nd; 
	char *plgfree;
};
#define _def_IJG_PLG
#endif


#ifndef _def_JUDGEID
struct JUDGEID{
	unsigned _int16 pnumber; 
	unsigned _int32 mdatahi; 
	unsigned _int32 mdatalo;
	unsigned _int16 extcode; 
};

#define _def_JUDGEID
#endif


#ifndef _def_IJGDLLINFO
struct IJGDLLINFO{
	char dllname[31]; //DLL
	char author[31]; //Җ
	float ver; //o[Wԍ //_ȉ2܂ł̎gp𐄏
	char vername[5]; //o[W(ڔ)
	_int8 sprnamber; //{WJ̐B`256܂ŁB
};
#define _def_IJGDLLINFO
#endif



struct IJGDLLENTRY{
	unsigned _int16 extdllid; //O`DLLID
	struct IJGDLLINFO dllinfo; //DLL̍\
};



//AhC̒`ADC
extern BOOL WINAPI MyJudgeDllEntry(HWND hWnd,unsigned _int16 *extdllid,struct IJGDLLINFO *dllinfo);


EXPORT BOOL WINAPI IjgExtDllEntry(HWND hWnd,struct IJGDLLENTRY *dllent)
{
	struct IJGDLLINFO dllinfo;
	unsigned _int16 extdllid;

	ZeroMemory(&dllinfo,sizeof(IJGDLLINFO));


	MyJudgeDllEntry(hWnd,&extdllid,&dllinfo);


	//dllentry
	ZeroMemory(dllent,sizeof(IJGDLLENTRY));

	dllent->extdllid=extdllid; 

	dllent->dllinfo=dllinfo;
	

	return TRUE;
}


#ifndef _def_IJGDLLACCESS
struct IJGDLLACCESS{
	_int8 jobflg1st; 
	_int8 jobflg2nd; 	
	unsigned _int32 headerid_hi;
	unsigned _int32 headerid_lo;
};
#define _def_IJGDLLACCESS
#endif

//AhC̎sADC
extern BOOL WINAPI MyJudgeDllCalculate(HWND hWnd,LPCSTR targetfile,struct IJGDLLACCESS *dllace);


EXPORT BOOL WINAPI CalculateJudgeID(HWND hWnd,LPCSTR plgfile,struct IJG_PLG ijgplg,LPCSTR targetfile,struct JUDGEID *jid,int place,int jobmod)
{
	struct IJGDLLACCESS dllace;

	dllace.jobflg1st=ijgplg.job1st;
	dllace.jobflg2nd=ijgplg.job2nd;


	if(!MyJudgeDllCalculate(hWnd,targetfile,&dllace))
		return FALSE;
	
	jid->mdatahi=dllace.headerid_hi;
	jid->mdatalo=dllace.headerid_lo;

	return TRUE;
}


